List environments
GET
/environment
Response Body
limitnumber
Example:
100next_cursorstring
Example:
MjAyNC0wNS0yMVQwNjoyNTozMy4xMjRaresultsobject[]
created_atstring · date-time
The date and time when the environment was created.
Example:
2021-08-10T10:00:00.000Zidstring · uuid
The ID of the environment.
Example:
1ba1f401-7183-47c5-9e39-e8e257e3c795namestring
The name of the environment.
Example:
Productionteam_idstring · uuid
The ID of the team that owns this environment.
Example:
05daecaf-4365-42e8-8370-8127de5dd717updated_atstring · date-time
The date and time when the environment was last updated.
Example:
2021-08-10T10:30:00.000Zcurl -X GET 'https://api.truto.one/environment' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const response = await fetch('https://api.truto.one/environment', {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/environment"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
for await (const item of truto.environment.list()) {
console.log(item);
}import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.environments.list():
print(item)
asyncio.run(main())